Bug 38488 - Unallocated Partition Error Message during Installation (Bug in DiskDruid? or Anaconda?)
Unallocated Partition Error Message during Installation (Bug in DiskDruid? or...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-30 21:28 EDT by Thomas Chung
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-02 13:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Chung 2001-04-30 21:28:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (WinNT; U)

I have Compaq Deskpro EN 866 with 20 GB IDE Hard Disk.
I partitioned the Hard Disk in 50/50 ratio and installed Windows 2000
on first partition.
During the Disk Setup window with Disk Druid in Red Hat 7.1
installation, if I add "/boot" partition, 
I get following error message:

"There are currently unallocated partition(s)
present in the list of requested partitions. The
unallocated partition(s) are shown below, along
with the reason they were not allocated.
/boot Boot partition > 1024 cylinders"

When I did the same process with Red Hat 7.0, I didn't get
such error message at all. It only happens with Red Hat 7.1.
What is causing this problem in Red Hat 7.1? 

Reproducible: Always
Steps to Reproduce:
1.Partition HD 50/50 Ratio
2.Install Windows 2000 in first partition
3.Try to Install Red Hat 7.1 in secon partition and you will see the error message.

Actual Results:  "There are currently unallocated partition(s)
present in the list of requested partitions. The
unallocated partition(s) are shown below, along
with the reason they were not allocated.
/boot Boot partition > 1024 cylinders"

Expected Results:  See above error message

I can't create kickstart installer for Dual Boot System due to above error message.
If we have to use fdisk then it's not very pratical since our company is planning to support thousands of Linux users in JPL and we need to 
install so many times in same configuration for dual boot system with Windows 2000.  Please help me to solve this issue so your distribution 
can be the official distribution for our our company and JPL as well.
Comment 1 Brent Fox 2001-05-01 11:03:42 EDT
Are all the systems identical?  What you can do is bascially script what you
want fdisk to do in the '%pre' section of the kickstart file.  It's not ideal,
but I think it would be a suitable workaround.  The syntax is pretty bad, but
think of each line as a separate command into fdisk.  You should play around
with this on a test machine before you deploy it, though, to make sure your
fdisk script is right.  Otherwise you could lose data on the drive.

In the %pre section, you can do something like this:%pre

mknod /tmp/hda
fdisk /tmp/hda << EOF

Comment 2 Thomas Chung 2001-05-01 12:48:30 EDT
Yes, all the systems should be identical since our company (OAO) is going to offer only one single configuration to our customer (JPL)
I'm in lead in this project and if I can't make the installer easy for our customer with Red Hat, then I have no choice to look for other alternative.
I'll try your fdisk script in kickstart configuration file.  I hope you can fix this problem (BUG) soon in your next version.  Sincerely.
Comment 3 Brent Fox 2001-05-01 18:32:00 EDT
Well, if the systems have not already been deployed, then you could create a
35MB /boot partition under the 1024 cylinder limit.  Or you could use the first
half of the drive for Linux and the second half for Linux.  It would be
transparent to the user.
Comment 4 Thomas Chung 2001-05-01 21:10:21 EDT

I tried your suggestion #2 (Install Windows on 2nd partition then Install Linux on 1st partition).
Here is the process:
(Fortunately, we have a Ghost Image for Windows 2000 so I used Ghost Command Line Switch)

1) Create two partitions on Hard Drive in 50/50 ratio using Ghost
2) Install Windows 2000 Image on 2nd parition using Ghost
3) Install Red Hat 7.1 on 1st partition using Kickstart (Advanced Settings with pre-configured lilo.conf file)

Thank you. It will save us a lot of time. 
Please close this ticket since I found a good solution (workaround) but I still think you should fix this problem(bug) in your future release.
Comment 5 Brent Fox 2001-05-02 13:31:43 EDT
Good.  I'm glad you found a workaround.  Here's the reason that it was changed:
putting boot partitions above the 1024 cylinder limit works just fine on some
motherboards, but not on others.  We can query the BIOS to see if it supports
it, but some motherboards appear to support it, but they really can't...so that
leaves the user with an unbootable system after installation.  It's unfortunate
in your case that 7.1 no longer allows you to do this, because apparently your
motherboard can handle it ok.
In retrospect, maybe the correct thing to do would have been to pop up a dialog
saying something like "Hey, your motherboard may not support doing this...do you
want to continue anyway?"  It was a tough call, but we chose the path that we
thought was best.  This is an issue that we take seriously and we will try to
address this in a future release.  Thanks for your report and good luck with
your roll-out of the new systems.

Note You need to log in before you can comment on or make changes to this bug.